Get security overview
GET
/security/overview
const url = 'https://shoehorn.example.com/api/v1/security/overview';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/security/overviewReturns the overall security posture for the tenant, including entity counts by security grade, risk distribution, and trends.
Responses
Section titled “ Responses ”Security overview
Media type application/json
object
overall_grade
string
total_entities
integer
by_grade
object
key
additional properties
integer
findings_summary
object
critical
integer
high
integer
medium
integer
low
integer
info
integer
Example
{ "overall_grade": "A+"}